import { SettingsJson } from '@ewizardjs/settings';
import { Block, DefaultBlock, DefaultBlocks, Dictionary, ExcludeIncludeFilter, FilterBlocksOptions, FilterField, ThemeBlock } from '../interfaces';
export declare function parseBlockData(block: DefaultBlock): ThemeBlock;
export declare function parsingArrayToDictionary(blocks?: DefaultBlock[]): Dictionary;
export declare function getDefaultBlocksByName(blocks?: DefaultBlocks, name?: string): DefaultBlock[];
export declare function isBlockSupported(block: ThemeBlock, options: FilterBlocksOptions): boolean;
export declare function validateBlockByField(fieldValue?: string, blockFiled?: FilterField): boolean;
export declare function isValueInItems(items?: string[], value?: string): boolean;
export declare function getCurrentPurpose(metadata?: SettingsJson['metadata']): string | undefined;
export declare function compareStrings(value: string, lowercaseValue: string): boolean;
export declare function validateBlockByPurposeField(purpose?: string[] | ExcludeIncludeFilter, purposeValue?: string): boolean;
export declare function checkValueByExcludedOrIncluded(fieldObject?: ExcludeIncludeFilter, fieldValue?: string): boolean;
export declare function getBlocksForFilter(blocksList: Block[], themeBlocks?: DefaultBlock[]): DefaultBlock[];
